Bug 479796 - Review Request: ghc-haskell-src-exts - Library for Manipulating Haskell source
Review Request: ghc-haskell-src-exts - Library for Manipulating Haskell source
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: cpphs
Blocks: hlint
  Show dependency treegraph
 
Reported: 2009-01-13 00:35 EST by Conrad Meyer
Modified: 2012-12-27 15:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 18:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-haskell-src-exts.spec-1.patch (704 bytes, patch)
2009-02-16 03:49 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Conrad Meyer 2009-01-13 00:35:38 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/ghc-haskell-src-exts.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SPECS/ghc-haskell-src-exts.spec
Description: 
Haskell-Source with Extensions (HSE, haskell-src-exts) is an extension
of the standard haskell-src package, and handles most common syntactic
extensions to Haskell, including:
* Multi-parameter type classes with functional dependencies
* Indexed type families (including associated types)
* Empty data declarations
* GADTs
* Implicit parameters
* Template Haskell 
and a few more. Apart from these standard extensions, it also handles
regular patterns as per the HaRP extension as well as HSX-style embedded
XML syntax.
Comment 1 Conrad Meyer 2009-01-13 00:37:26 EST
Koji build can't be done because happy and cpphs aren't in yet (but they have been submitted for review).
Comment 2 Jens Petersen 2009-01-13 03:07:41 EST
I think Conrad realised already, but happy is already in fedora actually just for the benefit of other reviewers.
Comment 3 Conrad Meyer 2009-01-13 12:53:49 EST
Right, sorry. Still can't be built because cpphs isn't in yet.
Comment 4 Jens Petersen 2009-01-20 19:15:22 EST
Now that cpphs is done, maybe you update this to the latest templates?
Comment 6 Jens Petersen 2009-01-31 05:56:22 EST
This looks ready for review.  I will try to do that soon unless someone else takes it first. :)
Comment 7 Jens Petersen 2009-02-16 03:49:04 EST
Created attachment 332010 [details]
ghc-haskell-src-exts.spec-1.patch

Sorry to keep moving the goal-posts... I released cabal2spec-0.6.

This little patch should bring this package in line with it.
Comment 9 Jens Petersen 2009-02-24 07:52:43 EST
cabal2spec-diff output looks good.

You might want to replace %define by %global eventually to keep up with the latest fedora packaging recommendations.  (cabal2spec-0.7 does that.)

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1156937

rpmlint output:

ghc-haskell-src-exts.i386: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.1/haskell-src-exts-0.4.8/libHShaskell-src-exts-0.4.8.a
ghc-haskell-src-exts-doc.i386: E: description-line-too-long This package contains development documentation files for the ghc-haskell-src-exts
ghc-haskell-src-exts-prof.i386: W: no-documentation
ghc-haskell-src-exts-prof.i386: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.1/haskell-src-exts-0.4.8/libHShaskell-src-exts-0.4.8_p.a

Probably good to fix the error above.

cpphs is needed by ghc-haskell-src-exts.i386?
Comment 10 Jens Petersen 2009-02-24 08:14:30 EST
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[=] MUST: rpmlint must be run on every package. The output should be posted in the review.

modulo above rpmlint description error

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

 BSD 3 Clause without advertising

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.

a8bbb3de67480cfd2e3c4d7ad553a11d  /home/petersen/tmp/haskell-src-exts-0.4.8.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[waived for haskell] MUST: Static libraries must be in a -static package.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.


Package is APPROVED for inclusion in Fedora, but consider/take care of the above point/question.  Thank you for your patience.
Comment 11 Conrad Meyer 2009-03-01 20:56:57 EST
New Package CVS Request
=======================
Package Name: ghc-haskell-src-exts
Short Description: Library for Manipulating Haskell source
Owners: konradm
Branches: F-10
InitialCC: haskell-sig
Comment 12 Kevin Fenzi 2009-03-02 19:34:55 EST
cvs done.
Comment 13 Jens Petersen 2009-03-18 05:19:54 EDT
I think the package needs to be updated now for i586 (ie to the latest cabal2spec).
Comment 14 Conrad Meyer 2009-03-19 18:12:50 EDT
Ok, I updated it and started building it in Koji. If it succeeds I'll close this bug.
Comment 15 Conrad Meyer 2009-03-19 18:25:59 EDT
Ok, it built: http://koji.fedoraproject.org/koji/taskinfo?taskID=1250436

Closing.
Comment 16 Jens Petersen 2012-12-07 00:58:40 EST
Package Change Request
======================
Package Name: ghc-haskell-src-exts
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 17 Jon Ciesla 2012-12-07 08:12:16 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2012-12-27 15:07:15 EST
ghc-haskell-src-exts-1.13.3-2.el6, cpphs-1.14-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.